지난 주에 워드프레스가 버전 5.0으로 업데이트되었습니다. 워드프레스 5.0에는 구텐베르크라는 비주얼 편집기가 기존의 고전 편집기를 대체하여 기본 편집기로 탑재되었습니다.

구텐베르크에서는 블록 단위로 콘텐츠를 추가할 수 있습니다. 그래서 블록 에디터(Block Editor)라고도 합니다.

하지만 구텐베르크는 아직도 안정화가 되지 않았고 일부 테마나 플러그인과 충돌을 일으킬 수 있습니다.

워드프레스 5.0으로 업그레이드한 후에 사이트에 문제가 발생하는 경우:

  1. 4.9.8 버전으로 다운그레이드
  2. 구텐베르크 대신 고전 편집기 사용

두 가지 조치를 생각해볼 수 있습니다. 이전 버전으로 다운그레이드한 후에 내년 1월에 패치가 나올 때 업그레이드할 수 있습니다.

다른 방법으로 ‘Classic Editor’를 설치하면 기본 편집기를 구텐베르크 대신 고전 편집기로 설정할 수 있습니다.

고전 편집기

고전 편집기 플러그인은 2021년 12월 31일까지 공식 지원이 제공될 예정입니다. 그 이전까지 고전 편집기를 사용할 수 있습니다.

기존에 작성한 글을 편집할 때에는 고전 편집기를 사용하고, 새로운 글은 구텐베르크에서 작성하는 방법도 생각해볼 수 있을 것 같습니다.

그리고 다음 코드를 사용 중인 테마의 함수 파일에 추가하면 구텐베르크가 비활성화됩니다.

// Gutenberg 비호활성화
add_filter('use_block_editor_for_post', '__return_false');

위의 코드를 넣으면 구텐베르크 편집기(블록 에디터)를 선택할 수 있는 옵션이 글 편집 시 사라져서 선택할 수 없게 됩니다. ‘고전 편집기’ 플러그인을 설치하여 고전 편집기를 계속 사용할 수 있습니다.

(코드는 반드시 자식 테마 내의 함수 파일에 추가하시기 바랍니다. 그렇지 않고 원래 테마 내의 함수 파일에 추가하면 추후 테마 업데이트 시 수정 사항이 사라지게 됩니다.)

구텐베르크가 페이지 빌더를 대체하지 않는다고 밝혔지만, 구텐베르크의 기능이 개선되면 기존 페이지 빌더가 위협을 받을 것으로 보입니다. 하지만 지금으로서는 구텐베르크가 안정화가 이루어지지 않아서 당장은 위협이 되지 않을 것 같습니다.

아바다, Enfold, Divi 등 대부분 인기 테마에서는 자체 페이지 빌더나 Visual Composer 페이지 빌더를 사용하고 있습니다. 페이지 빌더를 사용하면 보다 편리하게 사이트 제작이 가능합니다. 구텐베르크가 언제쯤 기존 페이지 빌더의 기능을 따라잡을 수 있을지 흥미롭게 지켜보면 좋을 듯 합니다.

구텐베르크의 영향인지 Divi 테마를 개발한 Elegant Themes에서는 매주 새로운 레이아웃 팩을 제공하여 사용자가 페이지를 만들 때 활용할 수 있도록 하고 있습니다. 생존 전략 중 하나 같습니다.

참고로 Divi 테마가 사이버먼데이 이벤트를 실시하고 있습니다. 올해 말까지 25% 할인된 가격에 구입할 수 있습니다.